Retrieve Artifact
Returns the Artifact by Digest.
Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token
The ID (UUID) of the Registry.
1e41a73c-59d0-5507-86dd-fa2fc2501cfdThe Name of the Repository.
my-serviceThe Digest of the Artifact.
sha256:12345678901234567890123456789012Getting Artifact was successful.
The digest of the artifact
sha256:12345678901234567890123456789012https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /containerregistries/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "sha256:12345678901234567890123456789012",
"type": "artifact",
"href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"lastPushedAt": "2026-01-01T00:00:00.000Z",
"lastPulledAt": "2026-01-01T00:00:00.000Z",
"lastScannedAt": "2026-01-01T00:00:00.000Z",
"pushCount": 1,
"pullCount": 42,
"vulnMaxSeverity": "high",
"vulnTotalScore": 9.8,
"vulnTotalCount": 20,
"vulnFixableCount": 10
},
"properties": {
"repositoryName": "my-service",
"digest": "sha256:12345678901234567890123456789012",
"tags": [
"latest",
"1.0.0"
],
"mediaType": "application/vnd.oci.image.manifest.v1+json"
}
}Last updated
Was this helpful?